
deploy_cassandra:
  when: manual
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
  - vagrant box remove henrietta//cassandra
  - vagrant box add henrietta//cassandra file:///var/www/html/dev/vagrant/cassandra.box
build_cassandra:
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh cassandra/
    - cp SkeletonVagrantfile cassandra/Vagrantfile
    - cd cassandra
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out cassandra.box
    - mv -f cassandra.box /var/www/html/dev/vagrant/cassandra.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..

deploy_cass_zk_rmq:
  when: manual
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
  - vagrant box remove henrietta//cass_zk_rmq
  - vagrant box add henrietta//cass_zk_rmq file:///var/www/html/dev/vagrant/cass_zk_rmq.box
build_cass_zk_rmq:
  when: manual
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh cass_zk_rmq/
    - cp SkeletonVagrantfile cass_zk_rmq/Vagrantfile
    - cd cass_zk_rmq
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out cass_zk_rmq.box
    - mv -f cass_zk_rmq.box /var/www/html/dev/vagrant/cass_zk_rmq.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..

deploy_czr_pythons:
  when: manual
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
  - vagrant box remove henrietta//czr_pythons
  - vagrant box add henrietta//czr_pythons file:///var/www/html/dev/vagrant/czr_pythons.box
build_czr_pythons:
  when: manual
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh czr_pythons/
    - cp SkeletonVagrantfile czr_pythons/Vagrantfile
    - cd czr_pythons
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out czr_pythons.box
    - mv -f czr_pythons.box /var/www/html/dev/vagrant/czr_pythons.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..

deploy_czr_pythons_pg:
  when: manual
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
  - vagrant box remove henrietta//czr_pythons_pg
  - vagrant box add henrietta//czr_pythons_pg file:///var/www/html/dev/vagrant/czr_pythons_pg.box
build_czr_pythons_pg:
  when: manual
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh czr_pythons_pg/
    - cp SkeletonVagrantfile czr_pythons_pg/Vagrantfile
    - cd czr_pythons_pg
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out czr_pythons_pg.box
    - mv -f czr_pythons_pg.box /var/www/html/dev/vagrant/czr_pythons_pg.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..

deploy_nodejs4:
  when: manual
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
  - vagrant box remove henrietta//nodejs4
  - vagrant box add henrietta//nodejs4 file:///var/www/html/dev/vagrant/nodejs4.box
build_nodejs4:
  when: manual
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh nodejs4/
    - cp SkeletonVagrantfile nodejs4/Vagrantfile
    - cd nodejs4
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out nodejs4.box
    - mv -f nodejs4.box /var/www/html/dev/vagrant/nodejs4.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..

deploy_nodejs5_jdk_adk25:
  when: manual
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
  - vagrant box remove henrietta//nodejs5_jdk_adk25
  - vagrant box add henrietta//nodejs5_jdk_adk25 file:///var/www/html/dev/vagrant/nodejs5_jdk_adk25.box
build_nodejs5_jdk_adk25:
  when: manual
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh nodejs5_jdk_adk25/
    - cp SkeletonVagrantfile nodejs5_jdk_adk25/Vagrantfile
    - cd nodejs5_jdk_adk25
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out nodejs5_jdk_adk25.box
    - mv -f nodejs5_jdk_adk25.box /var/www/html/dev/vagrant/nodejs5_jdk_adk25.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..
